Runtime

## org.eclipse.gmf.runtime.emf.type.core.commands
Class CreateRelationshipCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand
                      org.eclipse.gmf.runtime.emf.type.core.commands.CreateElementCommand
                          org.eclipse.gmf.runtime.emf.type.core.commands.CreateRelationshipCommand

All Implemented Interfaces:
  IUndoableOperation, ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public class CreateRelationshipCommand

extends CreateElementCommand

Command to create a new relationship element using the EMF action protocol.

If the containment feature is not specified in the request, the first feature in the container that can contain the new kind of relationship will be used.

Constructor Summary
`CreateRelationshipCommand(CreateRelationshipRequest request)` Constructs a new element creation command for the `request`.

Method Summary
`boolean` `canExecute()` Checks that the element to be modified by this command is of the correct kind.
`protected ConfigureRequest` `createConfigureRequest()` Creates the request to configure the new element.
`org.eclipse.emf.ecore.EObject` `getSource()` Gets the relationship source.
`org.eclipse.emf.ecore.EObject` `getTarget()` Gets the relationship target.

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.commands.CreateElementCommand
`doDefaultElementCreation, doExecuteWithResult, getContainmentFeature, getCreateRequest, getEClassToEdit, getElementToEdit, getElementType, getNewElement, setContainmentFeature`

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.commands.EditElementCommand
`getAffectedFiles, getEClass, getRequest, isOK, setEClass, setElementToEdit`

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getAffectedFiles, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, redo, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### CreateRelationshipCommand

    public CreateRelationshipCommand(CreateRelationshipRequest request)

  Constructs a new element creation command for the `request`.

  Parameters:
    `request` - the element creation request

Method Detail

### getSource

    public org.eclipse.emf.ecore.EObject getSource()

  Gets the relationship source.

  Returns:
    the relationship source

### getTarget

    public org.eclipse.emf.ecore.EObject getTarget()

  Gets the relationship target.

  Returns:
    the relationship target

### createConfigureRequest

    protected ConfigureRequest createConfigureRequest()

  Description copied from class: `CreateElementCommand`
  Creates the request to configure the new element.

  Overrides:
    `createConfigureRequest` in class `CreateElementCommand`
  Returns:
    the request

### canExecute

    public boolean canExecute()

  Description copied from class: `EditElementCommand`
  Checks that the element to be modified by this command is of the correct kind.

  Specified by:
    `canExecute` in interface `IUndoableOperation`
  Overrides:
    `canExecute` in class `CreateElementCommand`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.